org.deidentifier.arx.gui.model

## Enum ModelViewConfig.Mode

- java.lang.Object
- - java.lang.Enum<ModelViewConfig.Mode>
  - - org.deidentifier.arx.gui.model.ModelViewConfig.Mode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ModelViewConfig.Mode>

Enclosing class:
  ModelViewConfig

    public static enum ModelViewConfig.Mode
    extends java.lang.Enum<ModelViewConfig.Mode>

Mode.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GROUPED` TODO
`SORTED_INPUT` TODO
`SORTED_OUTPUT` TODO
`UNSORTED` TODO

### Method Summary

All Methods Static Methods Concrete Methods
`static ModelViewConfig.Mode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ModelViewConfig.Mode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SORTED_INPUT

    public static final ModelViewConfig.Mode SORTED_INPUT

TODO

#### SORTED_OUTPUT

    public static final ModelViewConfig.Mode SORTED_OUTPUT

TODO

#### GROUPED

    public static final ModelViewConfig.Mode GROUPED

TODO

#### UNSORTED

    public static final ModelViewConfig.Mode UNSORTED

TODO

### Method Detail

#### values

    public static ModelViewConfig.Mode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ModelViewConfig.Mode c : ModelViewConfig.Mode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ModelViewConfig.Mode valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null